API-endpoint:
https://upsio.nl/api/v1/incidents
Voorbeeldverzoek:
curl --location --request GET 'https://upsio.nl/api/v1/incidents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_bymonitor voor Monitor, cause voor Oorzaak. Standaardwaarde: url.monitor_idstatusunresolved voor Niet opgelost, acknowledged voor Bevestigd, resolved voor Opgelost.sort_bystarted_at voor Startdatum, ended_at voor Einddatum. Standaardwaarde: ended_at.sortdesc voor Aflopend, asc voor Oplopend. Standaardwaarde: desc.per_page10, 25, 50, 100. Standaardwaarde: 10.API-endpoint:
https://upsio.nl/api/v1/incidents/{id}
Voorbeeldverzoek:
curl --location --request GET 'https://upsio.nl/api/v1/incidents/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API-endpoint:
https://upsio.nl/api/v1/incidents
Voorbeeldverzoek:
curl --location --request POST 'https://upsio.nl/api/v1/incidents' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'monitor_id={monitor_id}' \ --data-urlencode 'started_at={started_at}'
monitor_idstarted_atY-m-dTH:i:s.acknowledged_atY-m-dTH:i:s.ended_atY-m-dTH:i:s.causecommentAPI-endpoint:
https://upsio.nl/api/v1/incidents/{id}
Voorbeeldverzoek:
curl --location --request PUT 'https://upsio.nl/api/v1/incidents/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
acknowledged_atY-m-dTH:i:s.ended_atY-m-dTH:i:s.causecommentAPI-endpoint:
https://upsio.nl/api/v1/incidents/{id}
Voorbeeldverzoek:
curl --location --request DELETE 'https://upsio.nl/api/v1/incidents/{id}' \ --header 'Authorization: Bearer {api_key}'